Bug 852112 - CancelActivity value is not saved on boundary event
CancelActivity value is not saved on boundary event
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:11 EDT by Tihomir Surdilovic
Modified: 2013-11-21 07:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The value stored in the cancelACtivity property was not stored on save operations in the Process Designer, and users setting cancelActivity property to true would cause it to revert back to the default false value. This has been resolved in the Process Designer and users can now set cancelActivity property correctly and it will persist after save operations.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3750 Major Resolved CancelActivity value is not saved on boundary event 2014-02-21 04:41:08 EST

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:11:20 EDT
I'm trying to make use of boundary events attached to tasks, and in some situations the event will have to cancel the activity. After changing the value of CancelActivity on the event extra properties to true, I can check that the value on the BPMN2 xml for the cancelAcitivy attribute still false.
Comment 1 Sona Mala 2012-10-01 06:29:12 EDT
Verified for BRMS 5.3.1 ER1 and designer version 2.3.1-DEV

Behaviour (for all types of boundary events):
  -> attribute cancelActivity occurs in BPMN2 only if is set to FALSE
  -> attribute cancelActivity is missing in BPMN2 if is set to TRUE
  -> attribute drools:boundaryca occurs every time and value is right
Comment 5 JBoss JIRA Server 2013-11-21 07:02:26 EST
Andrea Carpineti <acarpineti@tai.it> made a comment on jira JBPM-3750

With Designer 2.4.0.Final we're still able to reproduce the issue.
Is there any fix version or the bug should be reopened?

Note You need to log in before you can comment on or make changes to this bug.